import { PayloadAction } from '@reduxjs/toolkit';
import { ISingleTask } from '@ws-ui/shared';
type TTasksState = ISingleTask[];
declare const tasksSlice: import('@reduxjs/toolkit').Slice<TTasksState, {
    addTask(state: TTasksState, action: PayloadAction<{
        task: ISingleTask;
    }>): void;
    setError(state: TTasksState, action: PayloadAction<{
        id: string;
        errorMessage: string;
    }>): ISingleTask[];
    updateTask(state: TTasksState, action: PayloadAction<ISingleTask>): ISingleTask[];
    clearAllTasks(state: TTasksState): TTasksState;
}, "Tasks">;
export declare const addTask: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    task: ISingleTask;
}, "Tasks/addTask">, updateTask: import('@reduxjs/toolkit').ActionCreatorWithPayload<ISingleTask, "Tasks/updateTask">, clearAllTasks: import('@reduxjs/toolkit').ActionCreatorWithoutPayload<"Tasks/clearAllTasks">, setError: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    id: string;
    errorMessage: string;
}, "Tasks/setError">;
export default tasksSlice;
